HeavySpleef v2.2 (Add-on Package)

Details

  • Filename
    HeavySpleef_with_Add-ons.zip
  • Uploaded by
  • Uploaded
    Jan 4, 2016
  • Size
    3.32 MB
  • Downloads
    318
  • MD5
    f1346b77ca8daaaf4c087c46fd1d7892

Supported Bukkit Versions

  • 1.8
  • 1.8.3
  • 1.7.4

Changelog

HeavySpleef 2.2

HeavySpleef 2.2 is now available.

Quote from the Developer:

VERY IMPORTANT NOTICE FOR UPGRADERS FROM 1.x: As HeavySpleef 2.0+ introduces UUID support you can import existing statistics by running HeavySpleef 2.2 on the earlier installation of HeavySpleef 1.x.

However, statistic migration/conversion requires access to the Mojang API. As this API limits requests made by a single IP, statistic migration may take up to several hours depending on the amount of statistics stored in your database.

If you do not wish to take over statistics, please disable statistics in your current installation of HeavySpleef by setting statistic -> enabled to "false". You may copy your server to your local machine and run the migration there if you do not want your server to be unreachable for this period of time.

Changelog:

New features:

  • Add a spectate join gui (JoinGUI-Addon)
  • Add an option to send the win message to all players who participated in the game
  • Add partial translation of HeavySpleef into Russian (Thanks to SamuelGold!)
  • Add translation of HeavySpleef into Dutch
  • Add a regen-percentage flag which defines how much of the floor will be actually restored
  • Add a option to broadcast a message when a game is about to start

Bugfixes:

  • Properly store and restore the max-health attribute of a player when joining spleef
  • Fixed an issue where signs were not properly updated
  • Fixed compatibility issues with inventory management plugins which are switching inventories on world change
  • Make items used in Spleef unbreakable
  • Fixed a bug which allowed to dupe items on Spleef join

Note:This version is only compatible with CraftBukkit 1.7 and 1.8 and requires an installation of Java 7 or above. This version does not support servers running on Minecraft 1.6 or below.

Note: Permissions have changed with this version if you were using version 1.x before. Please visit the commands & permissions page for updated permissions.